Summary:        Generate new packages quickly and easily
Name:           perl-Package-Generator
Version:        1.106
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Package-Generator
Source0:        https://cpan.metacpan.org/modules/by-module/Package/Package-Generator-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  coreutils findutils
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(Carp) perl(Scalar::Util) perl(strict) perl(warnings)
BuildRequires:  perl(Params::Util) >= 0.11 perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Pod) >= 1.41

BuildArch:      noarch

%description
This module makes it quick and easy to construct new packages. It can provide the unused 
name and set the package data (if provided).

%prep
%autosetup -n Package-Generator-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Package/
%{_mandir}/man3/Package::Generator.3*
%{_mandir}/man3/Package::Reaper.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.106-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.106-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.106-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.106-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 Wang Guodong <gordonwwang@tencent.com> - 1.106-1
- package init.
